package ClubMembers;

use strict;

## NOTE: This is not an actual SPOPS object (that is, we never send it
## through process_config() and class_initialize(), it only uses the
## $CONF and $TABLE_DEF variables to drop and recreate the table.
use vars qw($VERSION @ISA $CONF $TABLE_DEF);

BEGIN {
	$VERSION = sprintf "%d.%03d", q$Revision: 1.5 $ =~ /: (\d+)\.(\d+)/;
	@ISA = qw/ ESPOPS::DBI /;
	$CONF = {
		ClubMembersAlias => {
			class        => 'ClubMembers',
			isa          => \@ISA,
			base_table   => 'ClubMembers',
		},
	};
	$TABLE_DEF = <<SQL;
CREATE TABLE ClubMembers (
	person_id  int(11),
	club_id    int(11)
)
SQL
}

use ESPOPS::DBI;

1;
