#!/usr/bin/perl -w
use strict;

use espops_dbi_conf;
use ESPOPS::DBI;

## get database connection
my $db = ESPOPS::DBI->global_datasource_handle;

## load SQL from file
open(SQL, "t/example.sql") or die "$@";

my $sql = join '', <SQL>;
my @inserts = split(";\n", $sql);

foreach my $insert (@inserts) {
	$db->do($insert);
}

1;